Bug 217068 - Tin does not accept keystrokes
Tin does not accept keystrokes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tin (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 12:02 EST by David Shaw
Modified: 2012-03-19 17:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 17:18:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshaw: needinfo-


Attachments (Terms of Use)

  None (edit)
Description David Shaw 2006-11-23 12:02:43 EST
Description of problem:

Tin cannot seem to accept keystrokes, and responds to everything (including 'h')
with "Bad command. Type 'h' for help."  This happens both in gnome-terminal and
on a regular text console.

Running strace against tin while it runs shows that it is reading the correct
characters.

Version-Release number of selected component (if applicable):

tin-1.8.2-1.fc6

How reproducible:

Run tin.  Hit any key.
Comment 1 Adrian Reber 2006-11-23 16:39:16 EST
Cannot reproduce. I have the same version of tin running and it works as always.
Can you try it on different hosts? Maybe remove the old config files and retry it?
Comment 2 David Shaw 2006-12-13 23:02:46 EST
I've isolated this down to a setting of the LANG environment variable.
By default, FC6 set my LANG to "en_US.UTF-8".  When that is the LANG, tin
will seemingly not accept input.  If LANG is unset, or set to "en_US",
tin does accept input.
Comment 3 Adrian Reber 2007-07-23 05:54:41 EDT
I tried it with multiple LANG settings on Fedora 7 and it is always accepting my
keystrokes. Do you still see this bug?
Comment 4 Richard W.M. Jones 2008-12-30 05:26:40 EST
For reference, I have seen this exact same bug too.

Starting tin using:

 LANG= tin -r

fixes the input problem.

However since that machine is using Fedora 8 and consequently a
rather old version of tin, I won't reopen this bug unless I can reproduce
it (later) on my Fedora 10 machine.
Comment 5 David Shaw 2008-12-30 09:24:13 EST
You've prompted me to recheck this against F10 (haven't used tin in a while), and I can confirm the same problem exists.  Note, though, that the tin RPM for F10 is the F9 one: tin-1.8.3-4.fc9.i386
Comment 6 Adrian Reber 2009-01-01 10:25:18 EST
I just tried on F10 with LANG=en_GB.UTF-8, LANG=en_US.UTF-8 and LANG=<empty>.

It always works and accepts all input so it is hard to look into it any further for me.

I was also not able to find any bug reports concerning the "accept keystrokes" problem which has been described here for any other distributions so right now I do not know how to fix this.
Comment 7 David Shaw 2009-01-01 22:16:14 EST
I've done some digging on this bug, since it seems to be so erratic to reproduce, and what I've found is that if there is no ~/.tin/tinrc file, then tin has this problem recognizing keystrokes unless the LANG trick is used.  To reproduce it, just delete or rename your ~/.tin/tinrc file to another name.  This reliably reproduces the problem for me.  Perhaps the reason you were unable to reproduce the problem is that you already have a tinrc file.

Is it possible that under some circumstances a ~/.tin/tinrc file is not created when tin is run for the first time?

To work around the problem, touch ~/.tin/tinrc and run tin, or run "LANG= tin -r" just once so that a default tinrc file is created, and then tin will work fine.

This is with tin-1.8.3-4.fc9.i386 on F10.
Comment 8 Richard W.M. Jones 2009-01-02 11:13:47 EST
I can confirm David's analysis in comment 7.

Deleting .tin/tinrc caused the bug to reappear for me.
I can make the bug go away by running tin once with:

  LANG= tin -r

and after that tin works fine unless .tin/tinrc is removed.

This is Fedora 10, tin-1.8.3-4.fc9.x86_64.
Comment 9 Bug Zapper 2009-11-18 03:09:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 00:54:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Joseph Shraibman 2010-04-11 00:24:07 EDT
Please reopen this. I'm seeing this in Fedora 11.

Running with strace shows: 

open("/etc/tin/keymap.en_US", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/etc/tin/keymap", O_RDONLY)       = -1 ENOENT (No such file or directory)

Might that be part of the problem?  The rpm doesn't come with either of those files.
Comment 12 David Shaw 2010-04-13 18:00:31 EDT
I just re-tested this against F12 using tin-1.8.3-6.fc12.i686 and the same thing happens.  I also retested that the hack to fix it from comment 7 still works and it does.
Comment 13 Bug Zapper 2010-11-04 08:14:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Joseph Shraibman 2010-11-04 12:45:08 EDT
I just tested on Fedora 13 and the problem still exists.
Comment 15 David Shaw 2010-11-04 13:16:24 EDT
I can also confirm this problem still exists in Fedora 14 using tin-1.8.3-7.fc14.i686 and that the workaround in comment #7 still works.
Comment 16 Adrian Reber 2012-03-19 17:18:44 EDT
Closing it again. With tin 2.0.1 all keystrokes are accepted. I deleted the .tin directory before and it still accepts all keystrokes.

Note You need to log in before you can comment on or make changes to this bug.